Bug 1525 - invalid time stamps on some 64-bit platforms
invalid time stamps on some 64-bit platforms
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.11
Other Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-13 11:47 UTC by Jay Fenlason - please log in and update your mail address here and let us enable Bugmails to you again, Jay
Modified: 2005-08-24 10:26 UTC (History)
0 users

See Also:


Attachments
Patch to prevent bogus timestamps being set on some 64-bit platforms. (608 bytes, patch)
2004-07-13 11:47 UTC, Jay Fenlason - please log in and update your mail address here and let us enable Bugmails to you again, Jay
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jay Fenlason - please log in and update your mail address here and let us enable Bugmails to you again, Jay 2004-07-13 11:47:01 UTC
source/smbd/trans2.c calles interpret_long_date() instead of 
interpret_long_unix_date(), which means that a request timestamp of ~0 does 
not become (time_t)-1 on some 64-bit platforms, resulting in files getting 
bogus timestamps set.
Comment 1 Jay Fenlason - please log in and update your mail address here and let us enable Bugmails to you again, Jay 2004-07-13 11:47:46 UTC
Created attachment 563 [details]
Patch to prevent bogus timestamps being set on some 64-bit platforms.
Comment 2 Jay Fenlason - please log in and update your mail address here and let us enable Bugmails to you again, Jay 2004-07-13 11:55:09 UTC
Note that a couple of lines down, write time is compared with 0xffffffff when 
(I think) it really needs to be compared against (time_t)-1  This change is 
not included in this patch. 
 
Note that this affects 2.2.9 as well, in case anyone cares :-) 
 
I didn't write this patch, but I haven't been able to find out exactly who the 
author was. 
Comment 3 Jeremy Allison 2005-02-11 13:00:01 UTC
Fixed. Thanks.
Jeremy.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:26:33 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.